All Classes Namespaces Functions Variables Groups Pages
PgsqlSqlUtil::PgsqlSequence Class Reference

class for PostgreSQL sequences More...

Inheritance diagram for PgsqlSqlUtil::PgsqlSequence:
[legend]

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getRenameSql (string new_name)
| returns a string that can be used to rename the sequence in the database

## Detailed Description

class for PostgreSQL sequences